{
  pkgs,
  inputs,
  username,
  project,
  plasmaTheme,
  ...
}: {
  programs = {
    plasma = {
      panels = [
        {
          screen = "all";
          height = 44;
          location = "bottom";
          alignment = "center";
          floating = true;
          opacity = "translucent";
          widgets = [
            "org.kde.plasma.kickoff"
            "org.kde.plasma.pager"
            {
              name = "org.kde.plasma.icontasks";
              config = {
                General = {
                  launchers = [
                    # optional pinned apps
                    "applications:org.kde.dolphin.desktop"
                    "applications:systemsettings.desktop"
                    "applications:kitty.desktop"
                    "applications:firefox.desktop"
                  ];
                };
              };
            }
            {
              name = "org.kde.olib.thermalmonitor";
              config = {
                General = {
                  sensors = "[{\"name\":\"Average CPU Temperature\",\"sensorId\":\"cpu/all/averageTemperature\"}]";
                };
              };
            }
            {
              name = "org.kde.plasma.systemmonitor.cpu";
              config = {
                Appearance = {
                  chartFace = "org.kde.ksysguard.linechart";
                  title = "Total CPU Use";
                };
                SensorColors = {
                  "cpu/all/usage" = "43,82,120";
                };
                Sensors = {
                  highPrioritySensorIds = "[\"cpu/all/usage\"]";
                  lowPrioritySensorIds = "[\"cpu/all/cpuCount\",\"cpu/all/coreCount\"]";
                  totalSensors = "[\"cpu/all/usage\"]";
                };
                General = {
                  CurrentPreset = "org.kde.plasma.systemmonitor";
                };
              };
            }
            "zayron.simple.separator"
            {
              systemTray = {
                items = {
                  # Explicitly shown icons (always visible)
                  shown = [
                    "Trayscale"
                    #"org.kde.plasma.battery"
                    "org.kde.plasma.networkmanagement"
                    "org.kde.plasma.volume"
                  ];
                  # Explicitly hidden icons (in the popup menu)
                  hidden = [
                    "org.kde.plasma.brightness"
                    "toolbox"
                    "Yakuake"
                    "org.kde.plasma.notifications"
                    "Xwayland Video Bridge_pipewireToXProxy"
                    "zero-trust-client"
                    "org.kde.plasma.clipboard"
                    "org.kde.plasma.bluetooth"
                    "org.kde.plasma.clipboard"
                    "org.kde.plasma.printmanager"
                    "org.kde.plasma.weather"
                    "org.kde.plasma.battery"
                  ];
                };
              };
            }
            {
              name = "org.kde.plasma.digitalclock";
              config = {
                Appearance = {
                  fontWeight = 400;
                  use24hFormat = 2;
                };
              };
            }
          ];
        }
      ];

      workspace = {
        theme = "WhiteSur-dark";
        colorScheme = "Win11OSDark";
        cursor = {
          theme = "Win10OS-cursors";
          size = 24;
        };
        # Do not use wallpaper option here as it causes issues! Use it in configFile
        # wallpaper = /home/${username}/${project}/other/wallpaper1.png;
        soundTheme = "ocean";
        iconTheme = "We10X";
        splashScreen = {
          theme = "fishy";
        };
        windowDecorations = {
          library = "org.kde.kwin.aurorae";
          theme = "__aurorae__svg__Win11OS-dark";
        };
      };
      configFile = {
        plasmarc.Wallpapers.usersWallpapers = "/home/cookiez/NixOS/other/wallpaper1.png";
      };
    };
  };
}
